Page MenuHomePhabricator

Flow\Tests\Api\ApiFlowLockTopicTest::testUnlockTopic failure
Open, HighPublic

Description

Failing when doing something completely unrelated in Vendor...

20:49:25 1) Flow\Tests\Api\ApiFlowLockTopicTest::testUnlockTopic
20:49:25 Undefined index: umcnjaeblr2bsz70
20:49:25 
20:49:25 /workspace/src/extensions/Flow/tests/phpunit/api/ApiFlowLockTopicTest.php:95
20:49:25 /workspace/src/tests/phpunit/MediaWikiTestCase.php:416
20:49:25 /workspace/src/maintenance/doMaintenance.php:94

Event Timeline

Reedy created this task.Oct 10 2018, 7:52 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptOct 10 2018, 7:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Please triage. One not-so-important patch I was targeting for a MLEB release did not get merged last week and hence was not included.

We'll discuss in triage meeting tomorrow. This is PHP 7.2?

The errors from that build are a little different than what was reported here.

12:57:12 1) Flow\Tests\Api\ApiFlowLockTopicTest::testUnlockTopic
12:57:12 ApiUsageException: Insufficient permissions to execute this action.
12:57:12 
12:57:12 /workspace/src/includes/api/ApiBase.php:2078
12:57:12 /workspace/src/extensions/Flow/includes/Api/ApiFlowBase.php:123
12:57:12 /workspace/src/extensions/Flow/includes/Api/ApiFlowBasePost.php:27
12:57:12 /workspace/src/extensions/Flow/includes/Api/ApiFlow.php:98
12:57:12 /workspace/src/includes/api/ApiMain.php:1570
12:57:12 /workspace/src/includes/api/ApiMain.php:500
12:57:12 /workspace/src/tests/phpunit/includes/api/ApiTestCase.php:107
12:57:12 /workspace/src/extensions/Flow/tests/phpunit/api/ApiTestCase.php:73
12:57:12 /workspace/src/extensions/Flow/tests/phpunit/api/ApiFlowLockTopicTest.php:78
12:57:12 /workspace/src/tests/phpunit/MediaWikiTestCase.php:424
12:57:12 /workspace/src/maintenance/doMaintenance.php:94
12:57:12 2) Flow\Tests\Api\ApiFlowModerateTopicTest::testModerateTopic
12:57:12 Undefined index: ungkthqbu0kthq82
12:57:12 
12:57:12 /workspace/src/extensions/Flow/tests/phpunit/api/ApiFlowModerateTopicTest.php:60
12:57:12 /workspace/src/tests/phpunit/MediaWikiTestCase.php:424
12:57:12 /workspace/src/maintenance/doMaintenance.php:94
Jdlrobson triaged this task as High priority.Nov 7 2018, 7:55 PM
Jdlrobson added a subscriber: Jdlrobson.

I've run into this at least 5 times in this week alone. It's becoming a bit of a nuisance (as patches Jenkins cannot verify have a tendency to be ignored in code review). Could this be prioritised as high?

Moving into sprint for visibility as it's blocking progress on a few things.

Change 472263 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/Flow@master] Temporarily mark flaky tests as broken

https://gerrit.wikimedia.org/r/472263

Change 472263 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Temporarily mark flaky tests as broken

https://gerrit.wikimedia.org/r/472263

Change 472456 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/Flow@REL1_32] Temporarily mark flaky tests as broken

https://gerrit.wikimedia.org/r/472456

JTannerWMF moved this task from FY 2019-20 to Q2 2019-20 on the Growth-Team board.Jan 3 2019, 3:54 PM

Change 472456 abandoned by Kosta Harlan:
Temporarily mark flaky tests as broken

Reason:
No comments/activity on this so I assume it's not needed anymore.

https://gerrit.wikimedia.org/r/472456